Bug 161488 - Security upgrade games/OpenTTD to 1.1.3 incl vuxml entry
Summary: Security upgrade games/OpenTTD to 1.1.3 incl vuxml entry
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-11 12:30 UTC by Ilya A. Arhipov
Modified: 2011-10-17 05:26 UTC (History)
0 users

See Also:


Attachments
file.diff (4.40 KB, patch)
2011-10-11 12:30 UTC, Ilya A. Arhipov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya A. Arhipov 2011-10-11 12:30:08 UTC
Update OpenTTD to 1.1.3. 
And add vuxml entry for:
CVE-2011-3343 -- http://security.openttd.org/en/CVE-2011-3343
CVE-2011-3342 -- http://security.openttd.org/en/CVE-2011-3342
CVE-2011-3341 -- http://security.openttd.org/en/CVE-2011-3341

Fix: Patch attached with submission follows:
Comment 1 Koop Mast freebsd_committer 2011-10-11 12:40:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

Fix Synopsis and assign to maintainer.
Comment 2 dfilter service freebsd_committer 2011-10-13 03:18:49 UTC
danfe       2011-10-13 02:18:35 UTC

  FreeBSD ports repository

  Modified files:
    games/openttd        Makefile distinfo 
  Log:
  Update to version 1.1.3 which brings three important bug fixes for situations
  that could crash the game.
  
  PR:     ports/161488
  
  Revision  Changes    Path
  1.39      +1 -1      ports/games/openttd/Makefile
  1.26      +2 -2      ports/games/openttd/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2011-10-16 19:39:56 UTC
amdmi3      2011-10-16 18:39:44 UTC

  FreeBSD ports repository

  Modified files:
    security/vuxml       vuln.xml 
  Log:
  Document openttd multiple vulnerabilities
  
  PR:             161488
  Submitted by:   "Ilya A. Arkhipov" <micro@heavennet.ru>
  
  Revision  Changes    Path
  1.2460    +84 -1     ports/security/vuxml/vuln.xml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dmitry Marakasov freebsd_committer 2011-10-17 05:26:41 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!